Bug 848951 - laptop does not wake from sleep
laptop does not wake from sleep
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
17
i386 Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On: 671055
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 18:28 EDT by Chris Murphy
Modified: 2013-08-01 12:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 671055
Environment:
Last Closed: 2013-08-01 12:36:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Murphy 2012-08-16 18:28:17 EDT
+++ This bug was initially created as a clone of Bug #671055 +++

Created attachment 474385 [details]
varlogmessage

Description of problem:

Power Management Preferences set to "put computer to sleep when inactive for 2 hours". Computer sleeps within approximately 2 hours but will not wake up. When any button is pressed, hard drive spins up, power light stops flashing, black screen, cannot ssh into the system to get any information.



Version-Release number of selected component (if applicable):

Fedora 14



How reproducible:

Always

Steps to Reproduce:
1. Either allow computer to idle  until sleep time arrives; or close lid.
2. Once computer is asleep, try to rewake pushing any button.

  
Actual results:

Drive spin up.
Power light solid.
Black screen.
No network services including ssh.
No response from ping.

Expected results:

Expect it to wake up.

Additional info:

Full system details:
http://www.smolts.org/client/show_all/pub_2ca5f783-63ad-4b0d-a268-1e662099d42e

/var/log/messages is unrevealing but I will post the relevant log in full.
17:49:13 is when sleep arrives
20:25:41 is the next reboot as a result of having to force shutdown of the machine and then turn it back on again since there was no response from ssh or ping.

--- Additional comment from bugzilla@colorremedies.com on 2011-01-19 23:54:11 EST ---

Created attachment 474388 [details]
pmsuspendlog
Comment 1 Chris Murphy 2012-08-16 18:33:37 EDT
Computer appears to Suspend correctly, slow pulsing power button and hard drive is spun down. Upon pressing any key, other than power, nothing happens. Upon pressing the power button briefly, drive spins up, power light is solid on, but the display is black. No ping.

Computer appears to Hibernate correctly: power light is off and hard drive is spun down. Power key results in boot screen, GRUB2, brief Fedora splash followed by the ability to login to previous session which works.

So the problem is with suspend, not hibernate.
Comment 2 Fedora End Of Life 2013-07-04 01:28:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 12:36:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.